io.vertx.redis.op

## Class GeoRadiusOptions

- java.lang.Object
- - io.vertx.redis.op.GeoRadiusOptions

- Deprecated.
  Use `Redis`

      @Deprecated
      public class GeoRadiusOptions
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GeoRadiusOptions()` Deprecated.
    `GeoRadiusOptions(GeoRadiusOptions obj)` Deprecated.
    `GeoRadiusOptions(JsonObject obj)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `GeoRadiusOptions` | `setCount(Long value)` Deprecated. Set the radius options limit the result count.
    `GeoRadiusOptions` | `setWithCoord(boolean bool)` Deprecated. Set the radius options to be coordinate based.
    `GeoRadiusOptions` | `setWithDist(boolean bool)` Deprecated. Set the radius options to be distance based.
    `GeoRadiusOptions` | `setWithHash(boolean bool)` Deprecated. Set the radius options to be hash based.
    `JsonObject` | `toJson()` Deprecated.
    `JsonArray` | `toJsonArray()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GeoRadiusOptions

          public GeoRadiusOptions()

      Deprecated.

    - #### GeoRadiusOptions

          public GeoRadiusOptions(GeoRadiusOptions obj)

      Deprecated.

    - #### GeoRadiusOptions

          public GeoRadiusOptions(JsonObject obj)

      Deprecated.

  - ### Method Detail

    - #### setWithCoord

          public GeoRadiusOptions setWithCoord(boolean bool)

      Deprecated.
      Set the radius options to be coordinate based.
      Parameters:
        `bool` - true for coordinate base
      Returns:
        self

    - #### setWithDist

          public GeoRadiusOptions setWithDist(boolean bool)

      Deprecated.
      Set the radius options to be distance based.
      Parameters:
        `bool` - true for distance base
      Returns:
        self

    - #### setWithHash

          public GeoRadiusOptions setWithHash(boolean bool)

      Deprecated.
      Set the radius options to be hash based.
      Parameters:
        `bool` - true for hash base
      Returns:
        self

    - #### setCount

          public GeoRadiusOptions setCount(Long value)

      Deprecated.
      Set the radius options limit the result count.
      Parameters:
        `value` - the count
      Returns:
        self

    - #### toJson

          public JsonObject toJson()

      Deprecated.

    - #### toJsonArray

          public JsonArray toJsonArray()

      Deprecated.

Copyright © 2021 Eclipse. All rights reserved.